Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class StringRequester

    java.lang.Object
      |
      +--jreqtools.AbstractRequester
            |
            +--jreqtools.StringRequester

Direct Known Subclasses:
  ByteRequester, DoubleRequester, FloatRequester, IntegerRequester, LongRequester, ShortRequester

public class StringRequester
extends AbstractRequester

A requester for simple strings.

Author:
  Markus Hillenbrand

Fields inherited from class jreqtools.AbstractRequester
`CANCEL, listener, OK`

Constructor Summary
`StringRequester()` Constructs a new StringRequester.
`StringRequester(java.lang.String defaultstring)` Constructs a new StringRequester.
`StringRequester(java.lang.String message, java.lang.String defaultstring)` Constructs a new StringRequester.
`StringRequester(java.lang.String title, java.lang.String message, java.lang.String defaultstring)` Constructs a new StringRequester.

Method Summary
`protected javax.swing.JDialog` | `createJDialog(javax.swing.JFrame parent)`
`protected int` | `getReturnValue()`
`java.lang.String` | `getString()` Gets the string which has been entered by the user.
`void` | `setDefaultChoices(java.lang.Object[] choices)`
`void` | `setMessage(java.lang.String newmessage)` Sets the message to be shown in the requester.
`void` | `setString(java.lang.String newstring)` Sets the string in the requester.
`void` | `setStringChecker(StringChecker newchecker)` Sets a StringChecker to be used for accepting an entered string.

Methods inherited from class jreqtools.AbstractRequester
`addHelpButton, addHelpButton, getLocation, getSize, request, request, setLocation, setLocation, setParentComponent, setSize, setSize, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringRequester

    public StringRequester()

  Constructs a new StringRequester.

### StringRequester

    public StringRequester(java.lang.String defaultstring)

  Constructs a new StringRequester.
  Parameters:
    `defaultstring` - - The initial value of the text field.

### StringRequester

    public StringRequester(java.lang.String message,
                           java.lang.String defaultstring)

  Constructs a new StringRequester.
  Parameters:
    `message` - - The message to be shown in the requester.
    `defaultstring` - - The initial value of the text field.

### StringRequester

    public StringRequester(java.lang.String title,
                           java.lang.String message,
                           java.lang.String defaultstring)

  Constructs a new StringRequester.
  Parameters:
    `title` - - Title of the requester.
    `message` - - The message to be shown in the requester.
    `defaultstring` - - The initial value of the text field.

Method Detail

### createJDialog

    protected javax.swing.JDialog createJDialog(javax.swing.JFrame parent)

  Overrides:
    `createJDialog` in class `AbstractRequester`

### getReturnValue

    protected int getReturnValue()

  Overrides:
    `getReturnValue` in class `AbstractRequester`

### getString

    public java.lang.String getString()

  Gets the string which has been entered by the user.

### setDefaultChoices

    public void setDefaultChoices(java.lang.Object[] choices)

### setMessage

    public void setMessage(java.lang.String newmessage)

  Sets the message to be shown in the requester.

### setString

    public void setString(java.lang.String newstring)

  Sets the string in the requester.

### setStringChecker

    public void setStringChecker(StringChecker newchecker)

  Sets a StringChecker to be used for accepting an entered string.
  See Also:
    `StringChecker`, `StringCheckers`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD